GET api/AccountStatement/GetAllAccountsDetailsInPage?customerNum={customerNum}&fromDate={fromDate}&toDate={toDate}&PageNum={PageNum}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| customerNum | integer |
Required |
|
| fromDate | date |
Required |
|
| toDate | date |
Required |
|
| PageNum | integer |
Required |
Body Parameters
None.
Response Information
Resource Description
DataResponseAllAccountsDetails| Name | Description | Type | Additional information |
|---|---|---|---|
| AccountsInPage | Collection of PropertyMo_Find_DGV_Acc_New_ResultDTO |
None. |
|
| Pages | integer |
None. |
|
| CurrentPage | integer |
None. |
Response Formats
application/json, text/json
Sample:
{
"AccountsInPage": [
{
"ROWNUMBER": 1,
"StoreName": "sample string 2",
"InvoNum": "sample string 3",
"InvoDate": "2026-08-28T19:02:19.0197471+02:00",
"ValueInvo2": 5.1,
"ValueTotal": 6.1,
"ItemPrice": 7.1,
"Notes": "sample string 8",
"ItemName": "sample string 9",
"StoreNumber": 10,
"CustomerID": 11,
"InvoID": 12.1,
"FrmID": 13.1,
"StoreID": 14,
"UserID": 15.1,
"InvoDes": 16.1,
"CustomerName": "sample string 17",
"UserName": "sample string 18",
"F_2": 19.1,
"nva_1": "sample string 20",
"nva_2": "sample string 21",
"Num": 22,
"Int_2": 23,
"nva_4": "sample string 24",
"TypeInvo": 25.1
},
{
"ROWNUMBER": 1,
"StoreName": "sample string 2",
"InvoNum": "sample string 3",
"InvoDate": "2026-08-28T19:02:19.0197471+02:00",
"ValueInvo2": 5.1,
"ValueTotal": 6.1,
"ItemPrice": 7.1,
"Notes": "sample string 8",
"ItemName": "sample string 9",
"StoreNumber": 10,
"CustomerID": 11,
"InvoID": 12.1,
"FrmID": 13.1,
"StoreID": 14,
"UserID": 15.1,
"InvoDes": 16.1,
"CustomerName": "sample string 17",
"UserName": "sample string 18",
"F_2": 19.1,
"nva_1": "sample string 20",
"nva_2": "sample string 21",
"Num": 22,
"Int_2": 23,
"nva_4": "sample string 24",
"TypeInvo": 25.1
}
],
"Pages": 1,
"CurrentPage": 2
}
application/xml, text/xml
Sample:
<DataResponseAllAccountsDetails xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/AGSystemApi.DataResponseModels">
<AccountsInPage xmlns:d2p1="http://schemas.datacontract.org/2004/07/AGSystemApi.DTO">
<d2p1:PropertyMo_Find_DGV_Acc_New_ResultDTO>
<d2p1:CustomerID>11</d2p1:CustomerID>
<d2p1:CustomerName>sample string 17</d2p1:CustomerName>
<d2p1:F_2>19.1</d2p1:F_2>
<d2p1:FrmID>13.1</d2p1:FrmID>
<d2p1:Int_2>23</d2p1:Int_2>
<d2p1:InvoDate>2026-08-28T19:02:19.0197471+02:00</d2p1:InvoDate>
<d2p1:InvoDes>16.1</d2p1:InvoDes>
<d2p1:InvoID>12.1</d2p1:InvoID>
<d2p1:InvoNum>sample string 3</d2p1:InvoNum>
<d2p1:ItemName>sample string 9</d2p1:ItemName>
<d2p1:ItemPrice>7.1</d2p1:ItemPrice>
<d2p1:Notes>sample string 8</d2p1:Notes>
<d2p1:Num>22</d2p1:Num>
<d2p1:ROWNUMBER>1</d2p1:ROWNUMBER>
<d2p1:StoreID>14</d2p1:StoreID>
<d2p1:StoreName>sample string 2</d2p1:StoreName>
<d2p1:StoreNumber>10</d2p1:StoreNumber>
<d2p1:TypeInvo>25.1</d2p1:TypeInvo>
<d2p1:UserID>15.1</d2p1:UserID>
<d2p1:UserName>sample string 18</d2p1:UserName>
<d2p1:ValueInvo2>5.1</d2p1:ValueInvo2>
<d2p1:ValueTotal>6.1</d2p1:ValueTotal>
<d2p1:nva_1>sample string 20</d2p1:nva_1>
<d2p1:nva_2>sample string 21</d2p1:nva_2>
<d2p1:nva_4>sample string 24</d2p1:nva_4>
</d2p1:PropertyMo_Find_DGV_Acc_New_ResultDTO>
<d2p1:PropertyMo_Find_DGV_Acc_New_ResultDTO>
<d2p1:CustomerID>11</d2p1:CustomerID>
<d2p1:CustomerName>sample string 17</d2p1:CustomerName>
<d2p1:F_2>19.1</d2p1:F_2>
<d2p1:FrmID>13.1</d2p1:FrmID>
<d2p1:Int_2>23</d2p1:Int_2>
<d2p1:InvoDate>2026-08-28T19:02:19.0197471+02:00</d2p1:InvoDate>
<d2p1:InvoDes>16.1</d2p1:InvoDes>
<d2p1:InvoID>12.1</d2p1:InvoID>
<d2p1:InvoNum>sample string 3</d2p1:InvoNum>
<d2p1:ItemName>sample string 9</d2p1:ItemName>
<d2p1:ItemPrice>7.1</d2p1:ItemPrice>
<d2p1:Notes>sample string 8</d2p1:Notes>
<d2p1:Num>22</d2p1:Num>
<d2p1:ROWNUMBER>1</d2p1:ROWNUMBER>
<d2p1:StoreID>14</d2p1:StoreID>
<d2p1:StoreName>sample string 2</d2p1:StoreName>
<d2p1:StoreNumber>10</d2p1:StoreNumber>
<d2p1:TypeInvo>25.1</d2p1:TypeInvo>
<d2p1:UserID>15.1</d2p1:UserID>
<d2p1:UserName>sample string 18</d2p1:UserName>
<d2p1:ValueInvo2>5.1</d2p1:ValueInvo2>
<d2p1:ValueTotal>6.1</d2p1:ValueTotal>
<d2p1:nva_1>sample string 20</d2p1:nva_1>
<d2p1:nva_2>sample string 21</d2p1:nva_2>
<d2p1:nva_4>sample string 24</d2p1:nva_4>
</d2p1:PropertyMo_Find_DGV_Acc_New_ResultDTO>
</AccountsInPage>
<CurrentPage>2</CurrentPage>
<Pages>1</Pages>
</DataResponseAllAccountsDetails>